# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "upr"
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["upr hackers"]
  s.date = "2013-07-09"
  s.description = "upr is Rack middleware that allows browser-side upload progress\nmonitoring.  It is based on (and should be client-side compatible with)\nseveral upload progress modules including ones used by leading web\nservers.  It allows any Moneta backing store in addition to DRb.  There\nis also a packaged example for using an ActiveRecord model for Rails."
  s.email = "upr@librelist.com"
  s.executables = ["upr-drb"]
  s.extra_rdoc_files = ["ChangeLog", "lib/upr.rb", "lib/upr/input_wrapper.rb", "lib/upr/json.rb", "lib/upr/monitor.rb", "lib/upr/params.rb", "lib/upr/status.rb", "lib/upr/status_methods.rb", "LICENSE", "NEWS", "README"]
  s.files = [".document", ".gitignore", ".manifest", "COPYING", "ChangeLog", "GIT-VERSION-FILE", "GIT-VERSION-GEN", "GNUmakefile", "LICENSE", "NEWS", "README", "Rakefile", "bin/upr-drb", "examples/rails_app-2.3.4/Rakefile", "examples/rails_app-2.3.4/app/controllers/application_controller.rb", "examples/rails_app-2.3.4/app/controllers/files_controller.rb", "examples/rails_app-2.3.4/app/controllers/progress_controller.rb", "examples/rails_app-2.3.4/app/helpers/application_helper.rb", "examples/rails_app-2.3.4/app/models/upr_status.rb", "examples/rails_app-2.3.4/app/views/files/index.html.erb", "examples/rails_app-2.3.4/app/views/files/new.html.erb", "examples/rails_app-2.3.4/app/views/files/pull.html.erb", "examples/rails_app-2.3.4/config.ru", "examples/rails_app-2.3.4/config/boot.rb", "examples/rails_app-2.3.4/config/database.yml", "examples/rails_app-2.3.4/config/environment.rb", "examples/rails_app-2.3.4/config/environments/development.rb", "examples/rails_app-2.3.4/config/environments/production.rb", "examples/rails_app-2.3.4/config/environments/test.rb", "examples/rails_app-2.3.4/config/initializers/new_rails_defaults.rb", "examples/rails_app-2.3.4/config/initializers/ruby_19_compat.rb", "examples/rails_app-2.3.4/config/routes.rb", "examples/rails_app-2.3.4/db/.gitignore", "examples/rails_app-2.3.4/db/migrate/19700000000000_add_upr_status.rb", "examples/rails_app-2.3.4/db/seeds.rb", "examples/rails_app-2.3.4/lib/tasks/upr_status.rake", "examples/rails_app-2.3.4/log/.gitignore", "examples/rails_app-2.3.4/public/404.html", "examples/rails_app-2.3.4/public/422.html", "examples/rails_app-2.3.4/public/500.html", "examples/rails_app-2.3.4/public/favicon.ico", "examples/rails_app-2.3.4/public/javascripts/ajax_pull/ajax_pull.js", "examples/rails_app-2.3.4/public/javascripts/ajax_pull/prototype-1_5_1.js", "examples/rails_app-2.3.4/public/javascripts/ajax_pull/upload_progress.js", "examples/rails_app-2.3.4/public/javascripts/application.js", "examples/rails_app-2.3.4/public/javascripts/controls.js", "examples/rails_app-2.3.4/public/javascripts/dragdrop.js", "examples/rails_app-2.3.4/public/javascripts/effects.js", "examples/rails_app-2.3.4/public/javascripts/jquery.js", "examples/rails_app-2.3.4/public/javascripts/jquery.uploadProgress.js", "examples/rails_app-2.3.4/public/javascripts/prototype.js", "examples/rails_app-2.3.4/public/javascripts/upr.js", "examples/rails_app-2.3.4/public/robots.txt", "examples/rails_app-2.3.4/public/stylesheets/site.css", "examples/rails_app-2.3.4/rainbows_config.rb", "examples/rails_app-2.3.4/test/fixtures/upr_statuses.yml", "examples/rails_app-2.3.4/test/test_helper.rb", "examples/rails_app-2.3.4/test/unit/upr_status_test.rb", "lib/upr.rb", "lib/upr/input_wrapper.rb", "lib/upr/json.rb", "lib/upr/monitor.rb", "lib/upr/params.rb", "lib/upr/status.rb", "lib/upr/status_methods.rb", "local.mk.sample", "setup.rb", "test/test_monitor.rb", "upr.gemspec"]
  s.homepage = "http://upr.bogomips.org/"
  s.rdoc_options = ["-Na", "-t", "upr - Upload Progress for Rack"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "rainbows"
  s.rubygems_version = "2.0.14"
  s.summary = "Upload Progress for Rack"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<moneta>, ["~> 0.7"])
      s.add_runtime_dependency(%q<rack>, [">= 0"])
    else
      s.add_dependency(%q<moneta>, ["~> 0.7"])
      s.add_dependency(%q<rack>, [">= 0"])
    end
  else
    s.add_dependency(%q<moneta>, ["~> 0.7"])
    s.add_dependency(%q<rack>, [">= 0"])
  end
end
